# Equipment: Bimp API methods

URL: https://bimpsoft.com/en/help/developers/api-reference/machinery/

Bimp API methods for the “Equipment” resource (`/org2/machinery/…`): 1 method. Base URL: `https://app.bimpsoft.com`. All requests except login pass the company token in the `access-token` header — see [Getting started with the API](/en/help/developers/api-getting-started/).

| Method | What it does |
|---|---|
| [`POST /org2/machinery/api-readList`](#api-read-list) | A request to view a list of machinery |

## api-readList

`POST /org2/machinery/api-readList`

A request to view a list of machinery

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `showArchive` | boolean |  | Do you need to show archived records? |
| `name` | string |  | Machinery name |
| `model` | string |  | Machinery model |
| `yearOfManufacture` | string |  | The year in the format 'YYYY' (e.g., '2025') |
| `acceptanceDate` | string |  | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `serialNumber` | string |  | Serial number of machinery |
| `counterparty` | object[] |  |  |
| `counterparty[].GUID` | string (uuid) | yes | A unique identifier for a counterparty of type 'isCustomer'.You can retrieve this UUID using the /counterparty/api-readList request |
| `pagination` | object | yes |  |
| `pagination.offset` | integer | yes |  |
| `pagination.count` | integer | yes |  |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `rows` | object[] |  |
| `rows[].uuid` | string |  |
| `rows[].name` | string |  |
| `rows[].acceptanceDate` | string |  |
| `rows[].archive` | boolean |  |
| `rows[].yearOfManufacture` | string |  |
| `rows[].model` | string |  |
| `rows[].serialNumber` | string |  |
| `rows[].warrantyPeriod` | number |  |
| `rows[].referenceType` | string |  |
| `total` | number |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/machinery/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":1,"count":1}}'
```

Interactive documentation with a test request option: [https://app.bimpsoft.com/docs](https://app.bimpsoft.com/docs). The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.
